## org.apache.catalina.cluster.mcast
Class McastServiceImpl.SenderThread

    java.lang.Object
      java.lang.Thread
          org.apache.catalina.cluster.mcast.McastServiceImpl.SenderThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  McastServiceImpl

public class McastServiceImpl.SenderThread
extends java.lang.Thread

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`McastServiceImpl.SenderThread(long time)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### McastServiceImpl.SenderThread

    public McastServiceImpl.SenderThread(long time)

Method Detail

### run

    public void run()

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.